# Get chauffeurs trips

Get the trips of  chauffeurs

Endpoint: POST /chauffeurs/trips:byDate/{fromDate}/{toDate}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `fromDate` (string, required)

  - `toDate` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `totalResults` (integer)

  - `chauffeursTrips` (array)

  - `chauffeursTrips.chauffeur` (string)

  - `chauffeursTrips.trips` (array)

  - `chauffeursTrips.trips.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `chauffeursTrips.trips.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `chauffeursTrips.trips.versionNumber` (integer)

  - `chauffeursTrips.trips.createdAt` (string)
    The date and time this Entity has been created

  - `chauffeursTrips.trips.updatedAt` (string)
    The date and time this Entity has been updated

  - `chauffeursTrips.trips.hasAgreedToPrice` (boolean)

  - `chauffeursTrips.trips.type` (string)
    Enum: "internal", "internal_empty", "forwarded"

  - `chauffeursTrips.trips.tripNr` (string)

  - `chauffeursTrips.trips.remark` (string)
    The remark for Trip

  - `chauffeursTrips.trips.status` (string)
    Enum: "draft", "requested", "accepted", "confirmed", "in_transit", "pending_completion", "completed", "cancelled", "modified"

  - `chauffeursTrips.trips.planStatus` (string)
    Enum: "ok", "too_late", "too_early", "off_route"

  - `chauffeursTrips.trips.routeStatus` (string)
    Enum: "on_route", "off_route"

  - `chauffeursTrips.trips.currentAction` (object) — one of (discriminator: type):
    - attachTransportEquipment:
      - `consignment` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `consignment.associationType` (string)
        Enum: "inline", "reference"
      - `isContainmentAction` (boolean)
      - `vehicle` (object)
      - `transportEquipment` (object)
      - `stop` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
            circular reference
          - `description` (string)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `pin` (string)
      - `tar` (string)
      - `shipmentLine` (object)
      - `shipmentLine.scacCode` (string)
      - `shipmentLine.smdgCode` (string)
      - `containmentUUID` (string)
    - detachTransportEquipment:
      - `consignment` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `consignment.associationType` (string)
        Enum: same as `consignment.associationType` in "attachTransportEquipment" (2 values)
      - `isContainmentAction` (boolean)
      - `vehicle` (object)
      - `transportEquipment` (object)
      - `stop` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
            circular reference
          - `description` (string)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `pin` (string)
      - `tar` (string)
      - `shipmentLine` (object)
      - `shipmentLine.scacCode` (string)
      - `shipmentLine.smdgCode` (string)
      - `containmentUUID` (string)
    - attachChauffeur:
      - `role` (string)
      - `vehicle` (object)
      - `chauffeur` (object)
      - `stopAction` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
            circular reference
          - `description` (string)
        - reference:
          - `uuid` (string)
          - `description` (string)
    - detachChauffeur:
      - `role` (string)
      - `vehicle` (object)
      - `chauffeur` (object)
      - `stopAction` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
            circular reference
          - `description` (string)
        - reference:
          - `uuid` (string)
          - `description` (string)
    - genericAction:
      - `trip` (object)
        circular reference
    - handOver:
      - `from` (object)
      - `to` (object)
      - `stop` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
            circular reference
          - `description` (string)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `consignment` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `consignment.associationType` (string)
        Enum: same as `consignment.associationType` in "attachTransportEquipment" (2 values)
      - `pin` (string)
    - load:
      - `stop` (object)
      - `consignment` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `consignment.associationType` (string)
        Enum: same as `consignment.associationType` in "attachTransportEquipment" (2 values)
      - `isContainmentAction` (boolean)
      - `goods` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
          - `entity.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `entity.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `entity.createdAt` (string)
            The date and time this Entity has been created
          - `entity.updatedAt` (string)
            The date and time this Entity has been updated
          - `entity.type` (string)
            Enum: "transportEquipment", "items"
          - `entity.name` (string)
          - `entity.description` (string)
          - `entity.remark` (string)
          - `entity.barCode` (string)
          - `entity.quantity` (integer)
          - `entity.weight` (object)
          - `entity.weight.value` (string)
          - `entity.weight.unit` (string)
          - `entity.grossWeight` (object)
          - `entity.maxStackableWeight` (object)
          - `entity.width` (object)
          - `entity.height` (object)
          - `entity.length` (object)
          - `entity.loadMeters` (object)
          - `entity.cbm` (object)
          - `entity.documents` (array)
          - `entity.actors` (array)
          - `entity.actions` (array)
          - `entity.identifiers` (array)
          - `entity.constraints` (array)
          - `entity.attributes` (array)
          - `description` (string)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `goods.associationType` (string)
        Enum: same as `consignment.associationType` in "attachTransportEquipment" (2 values)
      - `pin` (string)
      - `tar` (string)
      - `shipmentLine` (object)
      - `shipmentLine.scacCode` (string)
      - `shipmentLine.smdgCode` (string)
      - `stackPointer` (object)
      - `stackPointer.x` (integer)
      - `stackPointer.y` (integer)
      - `stackPointer.z` (integer)
      - `containmentUUID` (string)
      - `containmentGoodsTypes` (array)
        Enum: same as `entity.type` in "inline" (2 values)
    - move:
      - `trip` (object)
      - `from` (object)
      - `to` (object)
      - `route` (object)
      - `transportMode` (string)
        Enum: "maritime", "road", "rail", "air", "inlandWaterway"
      - `distance` (integer)
      - `cost` (integer)
      - `CO2eWTW` (number)
      - `CO2eTTW` (number)
      - `previousStopId` (string)
      - `nextStopId` (string)
      - `planStatus` (string)
        Enum: same as `chauffeursTrips.trips.planStatus` (4 values)
    - stop:
      - `trip` (object)
        circular reference
      - `distanceToNextStop` (integer)
    - unload:
      - `stop` (object)
      - `consignment` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `consignment.associationType` (string)
        Enum: same as `consignment.associationType` in "attachTransportEquipment" (2 values)
      - `isContainmentAction` (boolean)
      - `goods` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `pin` (string)
      - `tar` (string)
      - `shipmentLine` (object)
      - `shipmentLine.scacCode` (string)
      - `shipmentLine.smdgCode` (string)
      - `stackPointer` (object)
      - `stackPointer.x` (integer)
      - `stackPointer.y` (integer)
      - `stackPointer.z` (integer)
      - `containmentUUID` (string)
      - `containmentGoodsTypes` (array)
        Enum: same as `entity.type` in "inline" (2 values)
    - wait:
      - `reason` (string)
    - customs:
      - `consignment` (object) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `consignment.associationType` (string)
        Enum: same as `consignment.associationType` in "attachTransportEquipment" (2 values)
    - typeTakeAndReturn:
      - `business` (object)
        circular reference
      - `takeTypes` (array)
      - `takeTypes.quantity` (integer)
      - `takeTypes.type` (object)
      - `takeTypes.type.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `takeTypes.type.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `takeTypes.type.createdAt` (string)
        The date and time this Entity has been created
      - `takeTypes.type.updatedAt` (string)
        The date and time this Entity has been updated
      - `takeTypes.type.targetEntityType` (string)
        Enum: "transportEquipmentType", "transportEquipmentSubType", "consignmentType", "fuelType", "vehicleType", "driverReviewCategory"
      - `takeTypes.type.label` (string)
      - `takeTypes.type.value` (string)
      - `takeTypes.type.depositValue` (object)
      - `takeTypes.type.depositCategory` (object)
      - `takeTypes.type.childOf` (object)
        circular reference
      - `takeTypes.type.defaultValues` (object)
      - `takeTypes.type.hiddenFields` (array)
      - `returnTypes` (array)
    - booking:
      - `from` (object)
        circular reference
      - `to` (object)
        circular reference
      - `capacityContract` (object) — one of (discriminator: type):
        - oneTimeContract:
          - `consignments` (array)
          - `purchasedUnits` (integer)
          - `capacity` (object)
          - `capacity.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `capacity.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `capacity.createdAt` (string)
            The date and time this Entity has been created
          - `capacity.updatedAt` (string)
            The date and time this Entity has been updated
          - `capacity.name` (string)
          - `capacity.description` (string)
          - `capacity.business` (object)
            circular reference
          - `capacity.schedule` (object)
          - `capacity.schedule.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `capacity.schedule.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `capacity.schedule.createdAt` (string)
            The date and time this Entity has been created
          - `capacity.schedule.updatedAt` (string)
            The date and time this Entity has been updated
          - `capacity.schedule.name` (string)
          - `capacity.schedule.description` (string)
          - `capacity.schedule.weekDays` (array)
            Enum: "sunday", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday"
          - `capacity.schedule.startDate` (string)
          - `capacity.schedule.endDate` (string)
          - `capacity.schedule.timeSlotTemplates` (array)
          - `capacity.schedule.timeSlots` (array)
          - `capacity.schedule.identifiers` (array)
          - `capacity.modality` (string)
            Enum: same as `transportMode` in "move" (5 values)
          - `capacity.subType` (string)
            Enum: "load", "vehicle", "transport_equipment", "chauffeur"
          - `capacity.capacityPerUnit` (object)
          - `capacity.capacityPerUnit.value` (string)
          - `capacity.capacityPerUnit.unit` (string)
          - `capacity.totalUnits` (integer)
          - `capacity.availableCapacity` (object)
          - `capacity.totalCapacity` (object)
          - `capacity.pricingModules` (array)
          - `capacity.identifiers` (array)
        - permanentContract:
          - `capacity` (object)
          - `capacity.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `capacity.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `capacity.createdAt` (string)
            The date and time this Entity has been created
          - `capacity.updatedAt` (string)
            The date and time this Entity has been updated
          - `capacity.name` (string)
          - `capacity.description` (string)
          - `capacity.business` (object)
            circular reference
          - `capacity.schedule` (object)
          - `capacity.schedule.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `capacity.schedule.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `capacity.schedule.createdAt` (string)
            The date and time this Entity has been created
          - `capacity.schedule.updatedAt` (string)
            The date and time this Entity has been updated
          - `capacity.schedule.name` (string)
          - `capacity.schedule.description` (string)
          - `capacity.schedule.weekDays` (array)
            Enum: same as `capacity.schedule.weekDays` in "oneTimeContract" (7 values)
          - `capacity.schedule.startDate` (string)
          - `capacity.schedule.endDate` (string)
          - `capacity.schedule.timeSlotTemplates` (array)
          - `capacity.schedule.timeSlots` (array)
          - `capacity.schedule.identifiers` (array)
          - `capacity.modality` (string)
            Enum: same as `transportMode` in "move" (5 values)
          - `capacity.subType` (string)
            Enum: same as `capacity.subType` in "oneTimeContract" (4 values)
          - `capacity.capacityPerUnit` (object)
          - `capacity.capacityPerUnit.value` (string)
          - `capacity.capacityPerUnit.unit` (string)
          - `capacity.totalUnits` (integer)
          - `capacity.availableCapacity` (object)
          - `capacity.totalCapacity` (object)
          - `capacity.pricingModules` (array)
          - `capacity.identifiers` (array)
          - `purchasedUnits` (integer)
        - transportOrderContract:
          - `trip` (object)
            circular reference
      - `capacityContract.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.name` (string)
      - `capacityContract.type` (string, required)
        The type of contract
        Enum: "permanentContract", "oneTimeContract", "transportOrderContract"
      - `capacityContract.communicationMethod` (string)
        Enum: "messageAutomation", "integration", "pdf"
      - `capacityContract.contract` (object)
      - `capacityContract.contract.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.contract.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.contract.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.contract.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.contract.title` (string)
      - `capacityContract.contract.description` (string)
      - `capacityContract.contract.deliveryTerms` (string)
        Enum: "EXW", "FCA", "FAS", "FOB", "CPT", "CIP", "CFR", "CIF", "DAP", "DPU", "DDP"
      - `capacityContract.contract.contractor` (object)
        circular reference
      - `capacityContract.contract.contractorSignee` (object)
      - `capacityContract.contract.contractorSignee.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.contract.contractorSignee.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.contract.contractorSignee.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.contract.contractorSignee.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.contract.contractorSignee.firstName` (string)
      - `capacityContract.contract.contractorSignee.lastName` (string)
      - `capacityContract.contract.contractorSignee.position` (string)
      - `capacityContract.contract.contractorSignee.email` (string)
      - `capacityContract.contract.contractorSignee.phone` (string)
      - `capacityContract.contract.contractorSignee.mobilePhone` (string)
      - `capacityContract.contract.contractorSignee.business` (object)
        circular reference
      - `capacityContract.contract.contractorSignee.location` (object)
        circular reference
      - `capacityContract.contract.client` (object)
        circular reference
      - `capacityContract.contract.clientSignee` (object)
      - `capacityContract.contract.contractNr` (string)
      - `capacityContract.contract.pricing` (object)
      - `capacityContract.contract.pricing.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.contract.pricing.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.contract.pricing.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.contract.pricing.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.contract.pricing.name` (string)
      - `capacityContract.contract.pricing.description` (string)
      - `capacityContract.contract.pricing.targetEntityType` (string)
        Enum: "fleetVehicle", "vehicle", "trip", "transportOrder", "consignment", "accumulatedData", "chauffeur", "transportEquipment"
      - `capacityContract.contract.pricing.triggerType` (string)
        Enum: "endOfWeek", "endOfWeekOrMonth", "endOfMonth", "endOfQuarter", "endOfYear", "monthlyFromStart", "quarterlyFromStart", "yearlyFromStart", "endOfTrip", "endOfTransportOrder"
      - `capacityContract.contract.pricing.currency` (object)
      - `capacityContract.contract.pricing.modules` (array)
      - `capacityContract.contract.pricing.businesses` (array)
      - `capacityContract.contract.pricing.documents` (array)
      - `capacityContract.contract.pricing.lastHandled` (string)
      - `capacityContract.contract.pricing.direct` (boolean)
      - `capacityContract.contract.pricing.combinePerCustomer` (boolean)
      - `capacityContract.contract.pricing.selfBill` (boolean)
      - `capacityContract.contract.pricing.taxRates` (array)
      - `capacityContract.contract.pricing.administration` (object)
      - `capacityContract.contract.pricing.enabled` (boolean)
      - `capacityContract.contract.validFrom` (string)
      - `capacityContract.contract.validUntil` (string)
      - `capacityContract.contract.identifiers` (array)
      - `capacityContract.business` (object)
        circular reference
      - `capacityContract.administration` (object)
      - `capacityContract.administration.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.administration.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.administration.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.administration.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.administration.name` (string)
      - `capacityContract.administration.primary` (boolean)
      - `capacityContract.administration.business` (object)
        circular reference
      - `capacityContract.administration.currency` (object)
      - `capacityContract.administration.currency.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.administration.currency.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.administration.currency.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.administration.currency.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.administration.currency.name` (string)
      - `capacityContract.administration.currency.short` (string)
      - `capacityContract.administration.currency.sign` (string)
      - `capacityContract.administration.currency.decimalDelimiter` (string)
      - `capacityContract.administration.currency.thousandDelimiter` (string)
      - `capacityContract.administration.currency.enabled` (boolean)
      - `capacityContract.administration.balance` (object)
      - `capacityContract.administration.balance.amount` (number)
      - `capacityContract.administration.balance.currency` (object)
      - `capacityContract.administration.balance.taxRate` (object)
      - `capacityContract.administration.balance.inclusiveOfTax` (boolean)
      - `capacityContract.administration.bankAccounts` (array)
      - `capacityContract.administration.numberFormat` (string)
      - `capacityContract.administration.numberLength` (integer)
      - `capacityContract.administration.dueDays` (integer)
      - `capacityContract.administration.invoiceNumberIndex` (object)
      - `capacityContract.administration.quoteNumberIndex` (object)
      - `capacityContract.administration.invoiceSendMessageAutomation` (object) — one of (discriminator: type):
        - questionAnswerAutomation:
          - `question` (string)
        - fileRequestAutomation:
          - `filesRequested` (array)
      - `capacityContract.administration.invoiceSendMessageAutomation.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.administration.invoiceSendMessageAutomation.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.administration.invoiceSendMessageAutomation.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.administration.invoiceSendMessageAutomation.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.administration.invoiceSendMessageAutomation.name` (string)
      - `capacityContract.administration.invoiceSendMessageAutomation.description` (string)
      - `capacityContract.administration.invoiceSendMessageAutomation.automationConfig` (object)
      - `capacityContract.administration.invoiceSendMessageAutomation.messageAutomationIntegration` (object)
      - `capacityContract.administration.invoiceSendMessageAutomation.enabled` (boolean)
      - `capacityContract.administration.invoiceSendMessageAutomation.lastHandled` (string)
      - `capacityContract.administration.invoiceSendMessageAutomation.template` (boolean)
      - `capacityContract.administration.invoiceSendMessageAutomation.templateCategory` (string)
      - `capacityContract.administration.invoiceSendMessageAutomation.type` (string)
        Enum: "messageAutomation", "questionAnswerAutomation", "fileRequestAutomation"
      - `capacityContract.administration.invoiceSendMessageAutomation.notes` (array)
      - `capacityContract.administration.automaticallySendReminders` (boolean)
      - `capacityContract.administration.invoiceFirstReminderMessageAutomation` (object) — one of (discriminator: type):
        - questionAnswerAutomation:
          - `question` (string)
        - fileRequestAutomation:
          - `filesRequested` (array)
      - `capacityContract.administration.invoiceSecondReminderMessageAutomation` (object) — one of (discriminator: type):
        - questionAnswerAutomation:
          - `question` (string)
        - fileRequestAutomation:
          - `filesRequested` (array)
      - `capacityContract.administration.invoiceThirdReminderMessageAutomation` (object) — one of (discriminator: type):
        - questionAnswerAutomation:
          - `question` (string)
        - fileRequestAutomation:
          - `filesRequested` (array)
      - `capacityContract.administration.invoicePaidMessageAutomation` (object) — one of (discriminator: type):
        - questionAnswerAutomation:
          - `question` (string)
        - fileRequestAutomation:
          - `filesRequested` (array)
      - `capacityContract.administration.quoteSendMessageAutomation` (object) — one of (discriminator: type):
        - questionAnswerAutomation:
          - `question` (string)
        - fileRequestAutomation:
          - `filesRequested` (array)
      - `capacityContract.administration.invoiceTermsAndConditions` (array)
      - `capacityContract.administration.quoteTermsAndConditions` (array)
      - `capacityContract.administration.transportOrderTermsAndConditions` (array)
      - `capacityContract.administration.invoiceStandardDocuments` (array)
      - `capacityContract.administration.quoteStandardDocuments` (array)
      - `capacityContract.administration.identifiers` (array)
      - `capacityContract.administration.transportOrderPrefix` (string)
      - `capacityContract.administration.consignmentPrefix` (string)
      - `capacityContract.startTime` (string)
      - `capacityContract.endTime` (string)
      - `capacityContract.selfBilling` (boolean)
      - `capacityContract.currency` (object)
      - `capacityContract.triggerType` (string)
        Enum: same as `capacityContract.contract.pricing.triggerType` in "booking" (10 values)
      - `capacityContract.pricingModules` (array)
      - `capacityContract.pricingModules.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.pricingModules.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.pricingModules.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.pricingModules.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.pricingModules.type` (string)
        Enum: "fixed", "percentage", "time", "table", "zone", "ab", "unit", "element", "variable_adjustment", "formula", "tql_formula", "excel", "field", "modules", "highest_module_value", "lowest_module_value", "subscription"
      - `capacityContract.pricingModules.name` (string)
      - `capacityContract.pricingModules.sequenceNr` (integer)
      - `capacityContract.pricingModules.description` (string)
      - `capacityContract.pricingModules.category` (object)
      - `capacityContract.pricingModules.taxRates` (array)
      - `capacityContract.pricingModules.filters` (array)
      - `capacityContract.pricingModules.oncePerInvoice` (boolean)
      - `capacityContract.lastHandledSelfBilling` (string)
      - `capacityContract.signature` (object)
      - `capacityContract.signature.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.signature.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.signature.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.signature.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.signature.ip` (string)
      - `capacityContract.signature.userAgent` (string)
      - `capacityContract.signature.date` (string)
      - `capacityContract.signature.file` (object)
      - `capacityContract.signature.file.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.signature.file.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.signature.file.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.signature.file.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.signature.file.url` (string)
      - `capacityContract.signature.file.path` (string)
      - `capacityContract.signature.file.name` (string)
      - `capacityContract.signature.file.originalName` (string)
      - `capacityContract.signature.file.size` (integer)
      - `capacityContract.signature.file.purpose` (string)
      - `capacityContract.signature.file.type` (string)
        Enum: "IMAGE", "VIDEO", "MUSIC", "WORD", "EXCEL", "CSV", "PDF", "EMAIL", "JSON"
      - `capacityContract.signature.file.mimeType` (string)
      - `capacityContract.signature.file.extension` (string)
      - `capacityContract.signature.file.identifiers` (array)
      - `capacityContract.signature.file.bucket` (object)
      - `capacityContract.signature.file.uploadedAt` (string)
      - `capacityContract.signature.file.tempFile` (string)
      - `capacityContract.integration` (object) — one of (discriminator: type):
        - configured:
          - `triggerType` (string)
            Enum: "trigger", "scheduler", "listener"
          - `triggerEvent` (string)
            Enum: "afterCreatingTrip", "afterUpdatingTrip", "afterConfirmingTrip", "afterStartingTrip", "afterFinishingTrip", "afterCancelingTrip", "afterLocationUpdateEvent", "afterCreatingMessage", "afterUpdatingMessage", "afterCreatingEvent", "afterStartEngineEvent", "afterStartMovingEvent", "afterStopMovingEvent", "afterStopEngineEvent", "afterCreatingWaitAction", "afterUpdatingWaitAction", "afterCreatingWeighingAction", "afterUpdatingWeighingAction", "afterCreatingUnloadAction", "afterUpdatingUnloadAction", "afterCreatingStopAction", "afterUpdatingStopAction", "afterCreatingMoveAction", "afterUpdatingMoveAction", "afterCreatingLoadAction", "afterUpdatingLoadAction", "afterCreatingDetachTransportEquipmentAction", "afterUpdatingDetachTransportEquipmentAction", "afterCreatingDetachChauffeurAction", "afterUpdatingDetachChauffeurAction", "afterCreatingBreakAction", "afterUpdatingBreakAction", "afterCreatingAttachTransportEquipmentAction", "afterUpdatingAttachTransportEquipmentAction", "afterCreatingAttachChauffeurAction", "afterUpdatingAttachChauffeurAction", "afterActionLifeCycleUpdate", "afterCreatingCapacityContract", "afterUpdatingCapacityContract", "afterCreatingMessageAutomation", "AfterUpdatingMessageAutomation", "afterCreatingTransportOrder", "afterUpdatingTransportOrder", "afterCreatingConsignment", "afterUpdatingConsignment", "afterCreatingBusiness", "afterUpdatingBusiness", "afterCreatingInvoice", "afterSendingInvoice", "afterUpdatingInvoice", "afterCreatingQuote", "afterUpdatingQuote", "afterSendingQuote", "afterCreatingUser", "afterUpdatingUser", "afterCreatingLocation", "afterUpdatingLocation", "afterExceedingStopAverageDuration", "afterHomeBaseReturnOverdue", "afterCreatingBooking", "afterUpdatingBooking", "afterCancellingBooking", "afterConfirmingBooking", "afterCreatingIntegration", "afterUpdatingIntegration", "afterUpdatingCalendarEvent", "afterDeletingCalendarEvent", "afterCreatingTodo", "afterUpdatingTodo", "afterDeletingTodo", "afterAssigningTodo", "afterCalendarSyncRequested", "afterCalendarAuthorizationGranted"
          - `triggerEvents` (array)
            Enum: same as `triggerEvent` in "configured" (73 values)
          - `filters` (array)
        - fileTemplate:
          - `files` (array)
          - `entityType` (string)
            Enum: "action", "attachTransportEquipmentAction", "detachTransportEquipmentAction", "stopAction", "loadAction", "unloadAction", "waitAction", "consignment", "extendedConsignment", "transportEquipment", "extendedTransportEquipment", "items", "goods", "constraint", "actor", "location", "route", "sensor", "vehicle", "extendedVehicle", "trip", "fleet", "transportOrder", "extendedTransportOrder", "business", "event", "locationUpdateEvent", "startMovingEvent", "startWaitingEvent", "stopEngineEvent", "stopMovingEvent", "message", "document", "chauffeur", "extendedChauffeur", "chauffeurTimeslot", "chat", "user", "administration", "fleetVehicle", "messageAutomation", "capacity_contract", "contract", "booking", "invoice", "invoice_line", "quote", "quote_line", "integration", "calendarEvent", "to_do"
          - `html` (string)
          - `htmlFingerPrint` (string)
          - `matrix` (array)
          - `matrixFingerPrint` (string)
          - `fields` (array)
        - manual:
          - `sectorType` (string)
            Enum: "boardComputer", "transportOrder", "terminal", "mail", "camera", "sending_data", "administration", "communication_channel", "CRM", "calendar", "ferry", "freight_exchange", "vehicle_registry", "parking"
          - `manualType` (string)
            Enum: "transics", "web_fleet", "squarell", "evogps", "trimble", "mapon", "portbase", "psa", "dpworld", "uturn", "imap", "smtp", "exchange", "samskip", "containership", "project44", "searates", "telenormic", "cbs", "afas", "twinfield", "exact", "moneybird", "telegram", "whatsapp", "timocom", "trans_eu", "teleroute", "freightos", "dat", "sennder", "hubspot", "bigmile", "iveco", "volvo", "champ", "opensky", "fleets_online", "fleet_access", "stripe", "mollie", "adyen", "dfds", "stena_line", "po_ferries", "cldn", "burger_ferry", "google_calendar", "microsoft_calendar", "apple_calendar", "avantida", "travis", "salesforce", "rdw"
          - `enabledFunctions` (array)
          - `url` (string)
          - `port` (integer)
          - `credentials` (object)
          - `credentials.authenticationMethod` (string)
            Enum: "apiKey", "accessKeys", "basic", "OAuth", "bearer", "openId", "clientKeysOpenId", "clientKeys", "headers"
          - `credentials.username` (string)
          - `credentials.password` (string)
          - `credentials.accessKey` (string)
          - `credentials.secretKey` (string)
          - `credentials.clientId` (string)
          - `credentials.clientSecret` (string)
          - `credentials.grantType` (string)
          - `credentials.scope` (string)
          - `credentials.apiKey` (string)
          - `credentials.bearer` (string)
          - `credentials.sshKey` (object)
          - `credentials.sshTunnel` (boolean)
          - `credentials.sshHost` (string)
          - `credentials.sshUsername` (string)
          - `credentials.sshPassword` (string)
          - `credentials.externalAttributes` (object)
          - `credentials.valueMappingRules` (array)
          - `credentials.headers` (object)
          - `credentials.oauthUrl` (string)
          - `credentials.oAuthCache` (string)
          - `credentials.oAuthCacheCreationDate` (string)
          - `credentials.openIdToken` (string)
          - `credentials.openIdRefreshToken` (string)
          - `credentials.openIdAccessToken` (string)
          - `credentials.openIdExpiration` (string)
          - `filters` (array)
          - `integration` (array)
        - messageAutomation:
          - `messageAutomation` (object)
            circular reference
          - `triggerType` (string)
            Enum: same as `triggerType` in "configured" (3 values)
          - `triggerEvent` (string)
            Enum: same as `triggerEvent` in "configured" (73 values)
          - `filters` (array)
        - apiAccess:
          - `accessKey` (string)
          - `secretKey` (string)
          - `allowedIps` (array)
          - `permissions` (array)
          - `maxRequestsPerMinute` (integer)
      - `capacityContract.integration.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `capacityContract.integration.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `capacityContract.integration.createdAt` (string)
        The date and time this Entity has been created
      - `capacityContract.integration.updatedAt` (string)
        The date and time this Entity has been updated
      - `capacityContract.integration.type` (string)
        Enum: "manual", "configured", "messageAutomation", "fileTemplate", "apiAccess"
      - `capacityContract.integration.name` (string)
      - `capacityContract.integration.description` (string)
      - `capacityContract.integration.schedule` (object)
      - `capacityContract.integration.schedule.integrationSchedulerScheduleValue` (integer)
      - `capacityContract.integration.schedule.integrationSchedulerScheduleType` (string)
        Enum: "seconds", "minutes", "hours", "days", "months"
      - `capacityContract.integration.schedule.milliseconds` (integer)
      - `capacityContract.integration.dataSources` (array)
      - `capacityContract.integration.enabled` (boolean)
      - `capacityContract.integration.lastHandled` (string)
      - `capacityContract.messageAutomation` (object) — one of (discriminator: type):
        - questionAnswerAutomation:
          - `question` (string)
        - fileRequestAutomation:
          - `filesRequested` (array)
      - `booking` (object) — one of (discriminator: type):
        - air:
          - `airlinePrefix` (string)
          - `serialNumber` (string)
          - `carrierCode` (string)
          - `airwayBillNo` (string)
          - `houseAirwayBillNo` (string)
          - `airwayBill` (object)
          - `airwayBill.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `airwayBill.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `airwayBill.createdAt` (string)
            The date and time this Entity has been created
          - `airwayBill.updatedAt` (string)
            The date and time this Entity has been updated
          - `airwayBill.description` (string)
          - `airwayBill.expiresAt` (string)
          - `airwayBill.fileName` (string)
          - `airwayBill.mimeType` (string)
          - `airwayBill.encoding` (string)
          - `airwayBill.verified` (boolean)
          - `airwayBill.isPublic` (boolean)
          - `airwayBill.owner` (object)
          - `airwayBill.content` (object) — one of (discriminator: type):
            - data:
              - `data` (string)
            - uri:
              - `uri` (string)
          - `airwayBill.content.id` (string)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `airwayBill.content.contentType` (string)
            Enum: "data", "uri"
          - `airwayBill.file` (object)
          - `airwayBill.identifiers` (array)
          - `airwayBill.externalAttributes` (object)
          - `airwayBill.name` (string, required)
            The name of the document
        - inlandWaterway:
          - `bargeNumber` (string)
          - `voyageNumber` (string)
          - `inlandWaterwayBill` (object)
          - `inlandWaterwayBill.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `inlandWaterwayBill.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `inlandWaterwayBill.createdAt` (string)
            The date and time this Entity has been created
          - `inlandWaterwayBill.updatedAt` (string)
            The date and time this Entity has been updated
          - `inlandWaterwayBill.description` (string)
          - `inlandWaterwayBill.expiresAt` (string)
          - `inlandWaterwayBill.fileName` (string)
          - `inlandWaterwayBill.mimeType` (string)
          - `inlandWaterwayBill.encoding` (string)
          - `inlandWaterwayBill.verified` (boolean)
          - `inlandWaterwayBill.isPublic` (boolean)
          - `inlandWaterwayBill.owner` (object)
          - `inlandWaterwayBill.content` (object) — one of (discriminator: type):
            - data:
              - `data` (string)
            - uri:
              - `uri` (string)
          - `inlandWaterwayBill.content.id` (string)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `inlandWaterwayBill.content.contentType` (string)
            Enum: same as `airwayBill.content.contentType` in "air" (2 values)
          - `inlandWaterwayBill.file` (object)
          - `inlandWaterwayBill.identifiers` (array)
          - `inlandWaterwayBill.externalAttributes` (object)
          - `inlandWaterwayBill.name` (string, required)
            The name of the document
        - maritime:
          - `billOfLadingNumber` (string)
          - `billOfLading` (object)
          - `billOfLading.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `billOfLading.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `billOfLading.createdAt` (string)
            The date and time this Entity has been created
          - `billOfLading.updatedAt` (string)
            The date and time this Entity has been updated
          - `billOfLading.description` (string)
          - `billOfLading.expiresAt` (string)
          - `billOfLading.fileName` (string)
          - `billOfLading.mimeType` (string)
          - `billOfLading.encoding` (string)
          - `billOfLading.verified` (boolean)
          - `billOfLading.isPublic` (boolean)
          - `billOfLading.owner` (object)
          - `billOfLading.content` (object) — one of (discriminator: type):
            - data:
              - `data` (string)
            - uri:
              - `uri` (string)
          - `billOfLading.content.id` (string)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `billOfLading.content.contentType` (string)
            Enum: same as `airwayBill.content.contentType` in "air" (2 values)
          - `billOfLading.file` (object)
          - `billOfLading.identifiers` (array)
          - `billOfLading.externalAttributes` (object)
          - `billOfLading.name` (string, required)
            The name of the document
        - rail:
          - `wagonNumber` (string)
          - `trainNumber` (string)
          - `railConsignmentNote` (object)
          - `railConsignmentNote.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `railConsignmentNote.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `railConsignmentNote.createdAt` (string)
            The date and time this Entity has been created
          - `railConsignmentNote.updatedAt` (string)
            The date and time this Entity has been updated
          - `railConsignmentNote.description` (string)
          - `railConsignmentNote.expiresAt` (string)
          - `railConsignmentNote.fileName` (string)
          - `railConsignmentNote.mimeType` (string)
          - `railConsignmentNote.encoding` (string)
          - `railConsignmentNote.verified` (boolean)
          - `railConsignmentNote.isPublic` (boolean)
          - `railConsignmentNote.owner` (object)
          - `railConsignmentNote.content` (object) — one of (discriminator: type):
            - data:
              - `data` (string)
            - uri:
              - `uri` (string)
          - `railConsignmentNote.content.id` (string)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `railConsignmentNote.content.contentType` (string)
            Enum: same as `airwayBill.content.contentType` in "air" (2 values)
          - `railConsignmentNote.file` (object)
          - `railConsignmentNote.identifiers` (array)
          - `railConsignmentNote.externalAttributes` (object)
          - `railConsignmentNote.name` (string, required)
            The name of the document
        - road:
          - `crm` (object)
          - `crm.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `crm.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `crm.createdAt` (string)
            The date and time this Entity has been created
          - `crm.updatedAt` (string)
            The date and time this Entity has been updated
          - `crm.description` (string)
          - `crm.expiresAt` (string)
          - `crm.fileName` (string)
          - `crm.mimeType` (string)
          - `crm.encoding` (string)
          - `crm.verified` (boolean)
          - `crm.isPublic` (boolean)
          - `crm.owner` (object)
          - `crm.content` (object) — one of (discriminator: type):
            - data:
              - `data` (string)
            - uri:
              - `uri` (string)
          - `crm.content.id` (string)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `crm.content.contentType` (string)
            Enum: same as `airwayBill.content.contentType` in "air" (2 values)
          - `crm.file` (object)
          - `crm.identifiers` (array)
          - `crm.externalAttributes` (object)
          - `crm.name` (string, required)
            The name of the document
        - energy:
          - `fuelType` (string)
          - `vehicleId` (string)
          - `tripId` (string)
          - `chauffeurId` (string)
          - `quantity` (object)
          - `quantity.value` (string)
          - `quantity.unit` (string)
          - `provider` (string)
          - `location` (object)
          - `location.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `location.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `location.createdAt` (string)
            The date and time this Entity has been created
          - `location.updatedAt` (string)
            The date and time this Entity has been updated
          - `location.type` (string)
            Enum: "warehouse", "store", "environmentalZone", "restrictedArea", "customer", "parkingSpot", "loadingUnloadingArea", "operationalBase", "fuelStation"
          - `location.name` (string)
          - `location.unCode` (string)
          - `location.geoReference` (object) — one of (discriminator: type):
            - addressGeoReference:
              - `hash` (string)
              - `name` (string)
              - `street` (string)
              - `houseNumber` (string)
              - `houseNumberAddition` (string)
              - `postCode` (string)
              - `city` (string)
              - `country` (string)
            - zoneGeoReference:
              - `granularity` (string)
                Enum: "country", "city", "postal_code", "street", "exact"
              - `postalCodeRanges` (array)
            - tmcArrayGeoReference:
              - `countryCode` (string)
              - `tableId` (string)
              - `tableVersionId` (string)
              - `points` (array)
              - `startOffset` (integer)
              - `endOffset` (integer)
            - tmcLocationGeoReference:
              - `countryCode` (string)
              - `tableId` (string)
              - `tableVersionId` (string)
              - `locationCode` (string)
              - `direction` (string)
                Enum: "positive", "negative"
              - `offset` (integer)
              - `speed` (object)
              - `heading` (object)
              - `bearing` (object)
              - `bearingType` (string)
                Enum: "absolute", "relative"
            - Feature:
              - `geometry` (object)
              - `properties` (object)
              - `administrativeReference` (object)
            - latLonArrayGeoReference:
              - `administrativeReference` (object)
              - `points` (array)
            - latLonPointGeoReference:
              - `administrativeReference` (object)
              - `lat` (number)
              - `lon` (number)
              - `speed` (object)
              - `heading` (object)
              - `bearing` (object)
              - `bearingType` (string)
                Enum: same as `bearingType` in "tmcLocationGeoReference" (2 values)
          - `location.geoReference.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `location.geoReference.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `location.geoReference.createdAt` (string)
            The date and time this Entity has been created
          - `location.geoReference.updatedAt` (string)
            The date and time this Entity has been updated
          - `location.geoReference.type` (string)
            Enum: "addressGeoReference", "zoneGeoReference", "tmcArrayGeoReference", "tmcLocationGeoReference", "openLRGeoReference", "GeoReference", "Feature", "latLonArrayGeoReference", "latLonPointGeoReference"
          - `location.administrativeReference` (object)
          - `location.administrativeReference.name` (string)
          - `location.administrativeReference.street` (string)
          - `location.administrativeReference.houseNumber` (string)
          - `location.administrativeReference.houseNumberAddition` (string)
          - `location.administrativeReference.postalCode` (string)
          - `location.administrativeReference.city` (string)
          - `location.administrativeReference.country` (string)
          - `location.contactDetails` (array)
          - `location.contactPersons` (array)
          - `location.openingTimes` (object)
          - `location.openingTimes.monday` (object)
          - `location.openingTimes.tuesday` (object)
          - `location.openingTimes.wednesday` (object)
          - `location.openingTimes.thursday` (object)
          - `location.openingTimes.friday` (object)
          - `location.openingTimes.saturday` (object)
          - `location.openingTimes.sunday` (object)
          - `location.terminal` (object)
          - `location.terminal.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `location.terminal.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `location.terminal.createdAt` (string)
            The date and time this Entity has been created
          - `location.terminal.updatedAt` (string)
            The date and time this Entity has been updated
          - `location.terminal.name` (string, required)
          - `location.terminal.integrationType` (string)
            Enum: "portbase", "psa", "dpworld"
          - `location.terminal.ean` (string)
          - `location.terminal.bicsCode` (string)
          - `location.terminal.quayName` (string)
          - `location.terminal.smdgCode` (string)
          - `location.terminal.locations` (array)
          - `location.terminal.allowedModalities` (array)
          - `location.terminal.terminalSettings` (array)
          - `location.terminal.tarRequired` (boolean)
          - `location.terminal.roadLicenseIdRequired` (boolean)
          - `location.pricingElements` (array)
          - `location.hash` (string)
          - `location.identifiers` (array)
          - `location.externalAttributes` (object)
          - `location.attributes` (array)
          - `location.requiresTimeslotBooking` (boolean)
          - `location.loadingDocks` (array)
          - `location.dataIsComplete` (boolean)
          - `location.actions` (array)
          - `location.constraints` (array)
          - `location.remark` (string)
          - `plannedArrival` (string)
          - `estimatedCost` (number)
          - `currency` (string)
        - service:
          - `serviceType` (string)
          - `vehicleId` (string)
          - `tripId` (string)
          - `chauffeurId` (string)
          - `location` (object)
          - `location.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `location.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `location.createdAt` (string)
            The date and time this Entity has been created
          - `location.updatedAt` (string)
            The date and time this Entity has been updated
          - `location.type` (string)
            Enum: same as `location.type` in "energy" (9 values)
          - `location.name` (string)
          - `location.unCode` (string)
          - `location.geoReference` (object) — one of (discriminator: type):
            - addressGeoReference:
              - `hash` (string)
              - `name` (string)
              - `street` (string)
              - `houseNumber` (string)
              - `houseNumberAddition` (string)
              - `postCode` (string)
              - `city` (string)
              - `country` (string)
            - zoneGeoReference:
              - `granularity` (string)
                Enum: same as `granularity` in "zoneGeoReference" (5 values)
              - `postalCodeRanges` (array)
            - tmcArrayGeoReference:
              - `countryCode` (string)
              - `tableId` (string)
              - `tableVersionId` (string)
              - `points` (array)
              - `startOffset` (integer)
              - `endOffset` (integer)
            - tmcLocationGeoReference:
              - `countryCode` (string)
              - `tableId` (string)
              - `tableVersionId` (string)
              - `locationCode` (string)
              - `direction` (string)
                Enum: same as `direction` in "tmcLocationGeoReference" (2 values)
              - `offset` (integer)
              - `speed` (object)
              - `heading` (object)
              - `bearing` (object)
              - `bearingType` (string)
                Enum: same as `bearingType` in "tmcLocationGeoReference" (2 values)
            - Feature:
              - `geometry` (object)
              - `properties` (object)
              - `administrativeReference` (object)
            - latLonArrayGeoReference:
              - `administrativeReference` (object)
              - `points` (array)
            - latLonPointGeoReference:
              - `administrativeReference` (object)
              - `lat` (number)
              - `lon` (number)
              - `speed` (object)
              - `heading` (object)
              - `bearing` (object)
              - `bearingType` (string)
                Enum: same as `bearingType` in "tmcLocationGeoReference" (2 values)
          - `location.geoReference.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `location.geoReference.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `location.geoReference.createdAt` (string)
            The date and time this Entity has been created
          - `location.geoReference.updatedAt` (string)
            The date and time this Entity has been updated
          - `location.geoReference.type` (string)
            Enum: same as `location.geoReference.type` in "energy" (9 values)
          - `location.administrativeReference` (object)
          - `location.administrativeReference.name` (string)
          - `location.administrativeReference.street` (string)
          - `location.administrativeReference.houseNumber` (string)
          - `location.administrativeReference.houseNumberAddition` (string)
          - `location.administrativeReference.postalCode` (string)
          - `location.administrativeReference.city` (string)
          - `location.administrativeReference.country` (string)
          - `location.contactDetails` (array)
          - `location.contactPersons` (array)
          - `location.openingTimes` (object)
          - `location.openingTimes.monday` (object)
          - `location.openingTimes.tuesday` (object)
          - `location.openingTimes.wednesday` (object)
          - `location.openingTimes.thursday` (object)
          - `location.openingTimes.friday` (object)
          - `location.openingTimes.saturday` (object)
          - `location.openingTimes.sunday` (object)
          - `location.terminal` (object)
          - `location.terminal.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `location.terminal.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `location.terminal.createdAt` (string)
            The date and time this Entity has been created
          - `location.terminal.updatedAt` (string)
            The date and time this Entity has been updated
          - `location.terminal.name` (string, required)
          - `location.terminal.integrationType` (string)
            Enum: same as `location.terminal.integrationType` in "energy" (3 values)
          - `location.terminal.ean` (string)
          - `location.terminal.bicsCode` (string)
          - `location.terminal.quayName` (string)
          - `location.terminal.smdgCode` (string)
          - `location.terminal.locations` (array)
          - `location.terminal.allowedModalities` (array)
          - `location.terminal.terminalSettings` (array)
          - `location.terminal.tarRequired` (boolean)
          - `location.terminal.roadLicenseIdRequired` (boolean)
          - `location.pricingElements` (array)
          - `location.hash` (string)
          - `location.identifiers` (array)
          - `location.externalAttributes` (object)
          - `location.attributes` (array)
          - `location.requiresTimeslotBooking` (boolean)
          - `location.loadingDocks` (array)
          - `location.dataIsComplete` (boolean)
          - `location.actions` (array)
          - `location.constraints` (array)
          - `location.remark` (string)
          - `provider` (string)
          - `fromTime` (string)
          - `toTime` (string)
          - `estimatedCost` (number)
          - `currency` (string)
          - `details` (object)
      - `booking.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.createdAt` (string)
        The date and time this Entity has been created
      - `booking.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.type` (string, required)
        The type of booking
        Enum: "maritime", "road", "air", "rail", "inlandWaterway", "energy", "service"
      - `booking.capacitySubType` (string)
        Enum: same as `capacity.subType` in "oneTimeContract" (4 values)
      - `booking.name` (string)
      - `booking.bookingNumber` (string)
      - `booking.externalReference` (string)
      - `booking.transportOrder` (object)
      - `booking.transportOrder.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.transportOrder.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.transportOrder.uuid` (string, required)
      - `booking.transportOrder.primaryPlatformId` (string, required)
      - `booking.transportOrder.createdAt` (string)
        The date and time this Entity has been created
      - `booking.transportOrder.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.transportOrder.language` (object)
        circular reference
      - `booking.transportOrder.orderId` (string)
        Order ID is the Unique Identifier specifically for orders. If not set, the serve will generate one.
      - `booking.transportOrder.name` (string, required)
        Name of the TransportOrder, for display and search purposes only.
      - `booking.transportOrder.type` (string)
        The type of Transport Order. Normal Transport Orders are defined as standard.
        Enum: "standard", "urgent", "expected", "forwarded"
      - `booking.transportOrder.status` (string)
        The status of the TransportOrder. It shows the lifecycle of the order.
        Enum: "declined", "cancelled", "requested", "accepted", "calculated_trip", "partially_planned", "planned", "actual", "realized", "concept"
      - `booking.transportOrder.description` (string)
        The description of the transport order
      - `booking.transportOrder.referenceDescription` (string)
        The reference description of the transport order. This often is the invoice reference or reference of the customer side
      - `booking.transportOrder.customer` (object, required)
        The Customer, who this transport order is executed for
      - `booking.transportOrder.customer.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.transportOrder.customer.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.transportOrder.customer.uuid` (string, required)
      - `booking.transportOrder.customer.primaryPlatformId` (string, required)
      - `booking.transportOrder.customer.createdAt` (string)
        The date and time this Entity has been created
      - `booking.transportOrder.customer.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.transportOrder.customer.language` (object)
        circular reference
      - `booking.transportOrder.customer.business` (object)
        circular reference
      - `booking.transportOrder.customer.contactPerson` (object)
      - `booking.transportOrder.customer.location` (object)
        circular reference
      - `booking.transportOrder.customer.customer` (object)
        circular reference
      - `booking.transportOrder.mailMessage` (object)
      - `booking.transportOrder.mailMessage.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.transportOrder.mailMessage.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.transportOrder.mailMessage.uuid` (string, required)
      - `booking.transportOrder.mailMessage.primaryPlatformId` (string, required)
      - `booking.transportOrder.mailMessage.createdAt` (string)
        The date and time this Entity has been created
      - `booking.transportOrder.mailMessage.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.transportOrder.mailMessage.language` (object)
        circular reference
      - `booking.transportOrder.mailMessage.imap` (object)
      - `booking.transportOrder.mailMessage.contentId` (string)
      - `booking.transportOrder.mailMessage.messageNumber` (integer)
      - `booking.transportOrder.mailMessage.receivedDate` (string)
      - `booking.transportOrder.mailMessage.sentDate` (string)
      - `booking.transportOrder.mailMessage.read` (boolean)
      - `booking.transportOrder.mailMessage.starred` (boolean)
      - `booking.transportOrder.mailMessage.subject` (string)
      - `booking.transportOrder.mailMessage.plainText` (string)
      - `booking.transportOrder.mailMessage.text` (string)
      - `booking.transportOrder.mailMessage.sender` (object)
      - `booking.transportOrder.mailMessage.recipients` (array)
      - `booking.transportOrder.mailMessage.attachments` (array)
      - `booking.transportOrder.mailMessage.threadId` (string)
      - `booking.transportOrder.mailMessage.parentMessageId` (string)
      - `booking.transportOrder.mailMessage.linkedTransportOrderIds` (array)
      - `booking.transportOrder.mailMessage.linkedConsignmentIds` (array)
      - `booking.transportOrder.vat` (object)
      - `booking.transportOrder.vat.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.transportOrder.vat.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.transportOrder.vat.uuid` (string, required)
      - `booking.transportOrder.vat.primaryPlatformId` (string, required)
      - `booking.transportOrder.vat.createdAt` (string)
        The date and time this Entity has been created
      - `booking.transportOrder.vat.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.transportOrder.vat.language` (object)
        circular reference
      - `booking.transportOrder.vat.name` (string)
      - `booking.transportOrder.vat.creditCode` (string)
      - `booking.transportOrder.vat.debitCode` (string)
      - `booking.transportOrder.vat.description` (string)
      - `booking.transportOrder.vat.jurisdiction` (string)
      - `booking.transportOrder.vat.percentage` (number)
      - `booking.transportOrder.vat.inclusive` (boolean)
      - `booking.transportOrder.vat.active` (boolean)
      - `booking.transportOrder.vat.identifiers` (array)
      - `booking.transportOrder.deliveryTerms` (string)
        Enum: same as `capacityContract.contract.deliveryTerms` in "booking" (11 values)
      - `booking.transportOrder.externalAttributes` (object)
      - `booking.transportOrder.team` (object)
      - `booking.transportOrder.team.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.transportOrder.team.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.transportOrder.team.uuid` (string, required)
      - `booking.transportOrder.team.primaryPlatformId` (string, required)
      - `booking.transportOrder.team.createdAt` (string)
        The date and time this Entity has been created
      - `booking.transportOrder.team.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.transportOrder.team.language` (object)
        circular reference
      - `booking.transportOrder.team.name` (string)
      - `booking.transportOrder.team.transportOrderPrefix` (string)
      - `booking.transportOrder.team.consignmentPrefix` (string)
      - `booking.transportOrder.team.assignmentPriority` (integer)
      - `booking.transportOrder.team.orderAssignmentRules` (array)
      - `booking.transportOrder.team.users` (array)
      - `booking.transportOrder.team.vehicleGroups` (array)
      - `booking.transportOrder.team.fleets` (array)
      - `booking.transportOrder.documents` (array) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `booking.transportOrder.consignments` (array) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `booking.transportOrder.contactDetails` (array) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
          - `description` (string)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `booking.transportOrder.identifiers` (array)
      - `booking.transportOrder.pricingElements` (array)
      - `booking.transportOrder.invoices` (array)
      - `booking.transportOrder.administration` (object)
      - `booking.transportOrder.administration.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.transportOrder.administration.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.transportOrder.administration.uuid` (string, required)
      - `booking.transportOrder.administration.primaryPlatformId` (string, required)
      - `booking.transportOrder.administration.createdAt` (string)
        The date and time this Entity has been created
      - `booking.transportOrder.administration.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.transportOrder.administration.language` (object)
        circular reference
      - `booking.transportOrder.administration.platforms` (array)
      - `booking.transportOrder.administration.name` (string)
      - `booking.transportOrder.administration.primary` (boolean)
      - `booking.transportOrder.administration.transportOrderPrefix` (string)
      - `booking.transportOrder.administration.consignmentPrefix` (string)
      - `booking.transportOrder.administration.business` (object)
        circular reference
      - `booking.transportOrder.administration.currency` (object)
      - `booking.transportOrder.administration.balance` (object)
      - `booking.transportOrder.administration.bankAccounts` (array)
      - `booking.transportOrder.administration.numberFormat` (string)
      - `booking.transportOrder.administration.numberLength` (integer)
      - `booking.transportOrder.administration.dueDays` (integer)
      - `booking.transportOrder.administration.invoiceNumberIndex` (object)
      - `booking.transportOrder.administration.quoteNumberIndex` (object)
      - `booking.transportOrder.administration.invoiceSendMessageAutomation` (object)
      - `booking.transportOrder.administration.automaticallySendReminders` (boolean)
      - `booking.transportOrder.administration.invoiceFirstReminderMessageAutomation` (object)
      - `booking.transportOrder.administration.invoiceSecondReminderMessageAutomation` (object)
      - `booking.transportOrder.administration.invoiceThirdReminderMessageAutomation` (object)
      - `booking.transportOrder.administration.invoicePaidMessageAutomation` (object)
      - `booking.transportOrder.administration.quoteSendMessageAutomation` (object)
      - `booking.transportOrder.administration.invoiceTermsAndConditions` (array)
      - `booking.transportOrder.administration.quoteTermsAndConditions` (array)
      - `booking.transportOrder.administration.transportOrderTermsAndConditions` (array)
      - `booking.transportOrder.administration.identifiers` (array)
      - `booking.transportOrder.shareSettings` (object)
      - `booking.transportOrder.shareSettings.isOpen` (boolean)
      - `booking.transportOrder.shareSettings.shareCode` (string)
      - `booking.transportOrder.shareSettings.validUntil` (string)
      - `booking.transportOrder.shareSettings.showTripTracking` (boolean)
      - `booking.transportOrder.shareSettings.showChauffeur` (boolean)
      - `booking.transportOrder.shareSettings.showVehicle` (boolean)
      - `booking.transportOrder.shareSettings.showDocuments` (boolean)
      - `booking.transportOrder.shareSettings.showCustomerDetails` (boolean)
      - `booking.transportOrder.template` (boolean)
      - `booking.transportOrder.expectedRevenue` (object)
      - `booking.transportOrder.expectedRevenue.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.transportOrder.expectedRevenue.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.transportOrder.expectedRevenue.uuid` (string, required)
      - `booking.transportOrder.expectedRevenue.primaryPlatformId` (string, required)
      - `booking.transportOrder.expectedRevenue.createdAt` (string)
        The date and time this Entity has been created
      - `booking.transportOrder.expectedRevenue.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.transportOrder.expectedRevenue.language` (object)
        circular reference
      - `booking.transportOrder.expectedRevenue.amount` (number)
      - `booking.transportOrder.expectedRevenue.currency` (object)
      - `booking.transportOrder.expectedRevenue.taxRate` (object)
      - `booking.transportOrder.expectedRevenue.inclusiveOfTax` (boolean)
      - `booking.transportOrder.expectedRevenue.moneyBuildBlocks` (array)
      - `booking.transportOrder.expectedCost` (object)
      - `booking.transportOrder.contract` (object)
      - `booking.transportOrder.contract.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.transportOrder.contract.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.transportOrder.contract.uuid` (string, required)
      - `booking.transportOrder.contract.primaryPlatformId` (string, required)
      - `booking.transportOrder.contract.createdAt` (string)
        The date and time this Entity has been created
      - `booking.transportOrder.contract.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.transportOrder.contract.language` (object)
        circular reference
      - `booking.transportOrder.contract.contractNr` (string)
      - `booking.transportOrder.contract.title` (string)
      - `booking.transportOrder.contract.description` (string)
      - `booking.transportOrder.contract.deliveryTerms` (string)
        Enum: same as `capacityContract.contract.deliveryTerms` in "booking" (11 values)
      - `booking.transportOrder.contract.contractor` (object)
        circular reference
      - `booking.transportOrder.contract.contractorSignee` (object)
      - `booking.transportOrder.contract.client` (object)
        circular reference
      - `booking.transportOrder.contract.clientSignee` (object)
      - `booking.transportOrder.contract.pricing` (object)
      - `booking.transportOrder.contract.validFrom` (string)
      - `booking.transportOrder.contract.validUntil` (string)
      - `booking.transportOrder.contract.identifiers` (array)
      - `booking.transportOrder.versionNumber` (integer)
      - `booking.transportOrder.allDocuments` (array) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `booking.capacityContract` (object) — one of (discriminator: type):
        - oneTimeContract:
          - `consignments` (array)
          - `purchasedUnits` (integer)
          - `capacity` (object)
          - `capacity.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `capacity.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `capacity.createdAt` (string)
            The date and time this Entity has been created
          - `capacity.updatedAt` (string)
            The date and time this Entity has been updated
          - `capacity.name` (string)
          - `capacity.description` (string)
          - `capacity.business` (object)
            circular reference
          - `capacity.schedule` (object)
          - `capacity.modality` (string)
            Enum: same as `transportMode` in "move" (5 values)
          - `capacity.subType` (string)
            Enum: same as `capacity.subType` in "oneTimeContract" (4 values)
          - `capacity.capacityPerUnit` (object)
          - `capacity.totalUnits` (integer)
          - `capacity.availableCapacity` (object)
          - `capacity.totalCapacity` (object)
          - `capacity.pricingModules` (array)
          - `capacity.identifiers` (array)
        - permanentContract:
          - `capacity` (object)
          - `capacity.id` (string, required)
            Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
          - `capacity.nonce` (string)
            Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
          - `capacity.createdAt` (string)
            The date and time this Entity has been created
          - `capacity.updatedAt` (string)
            The date and time this Entity has been updated
          - `capacity.name` (string)
          - `capacity.description` (string)
          - `capacity.business` (object)
            circular reference
          - `capacity.schedule` (object)
          - `capacity.modality` (string)
            Enum: same as `transportMode` in "move" (5 values)
          - `capacity.subType` (string)
            Enum: same as `capacity.subType` in "oneTimeContract" (4 values)
          - `capacity.capacityPerUnit` (object)
          - `capacity.totalUnits` (integer)
          - `capacity.availableCapacity` (object)
          - `capacity.totalCapacity` (object)
          - `capacity.pricingModules` (array)
          - `capacity.identifiers` (array)
          - `purchasedUnits` (integer)
        - transportOrderContract:
          - `trip` (object)
            circular reference
      - `booking.quote` (object)
      - `booking.quote.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.quote.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.quote.createdAt` (string)
        The date and time this Entity has been created
      - `booking.quote.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.quote.hasAgreedToPrice` (boolean)
      - `booking.quote.administration` (object)
      - `booking.quote.year` (integer)
      - `booking.quote.number` (integer)
      - `booking.quote.status` (string)
        Enum: "concept", "open", "accepted", "declined", "invoiced", "cancelled"
      - `booking.quote.direction` (string)
        Enum: "in", "out"
      - `booking.quote.currency` (object)
      - `booking.quote.declinedReason` (string)
      - `booking.quote.lines` (array)
      - `booking.quote.subjectBusiness` (object)
        circular reference
      - `booking.quote.targetBusiness` (object)
        circular reference
      - `booking.quote.contactPerson` (object)
      - `booking.quote.creator` (object)
      - `booking.quote.subTotal` (object)
      - `booking.quote.tax` (object)
      - `booking.quote.total` (object)
      - `booking.quote.transportOrder` (object)
      - `booking.quote.invoices` (array)
      - `booking.quote.identifiers` (array)
      - `booking.quote.documents` (array) — one of (discriminator: associationType):
        - inline:
          - `entity` (object)
        - reference:
          - `uuid` (string)
          - `description` (string)
      - `booking.quote.shareSettings` (object)
      - `booking.quote.shareSettings.isOpen` (boolean)
      - `booking.quote.shareSettings.shareCode` (string)
      - `booking.quote.shareSettings.validUntil` (string)
      - `booking.quote.team` (object)
      - `booking.quote.team.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.quote.team.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.quote.team.createdAt` (string)
        The date and time this Entity has been created
      - `booking.quote.team.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.quote.team.emailIntegration` (object)
      - `booking.quote.team.vehicleGroups` (array)
      - `booking.quote.team.fleets` (array)
      - `booking.quote.team.features` (array)
      - `booking.quote.team.managers` (array)
      - `booking.quote.team.orderAssignmentRules` (array)
      - `booking.quote.team.name` (string)
      - `booking.quote.team.transportOrderPrefix` (string)
      - `booking.quote.team.consignmentPrefix` (string)
      - `booking.quote.team.users` (array)
      - `booking.quote.team.assignmentPriority` (integer)
      - `booking.quote.name` (string)
      - `booking.quote.description` (string)
      - `booking.quote.date` (string)
      - `booking.quote.dueAt` (string)
      - `booking.invoice` (object)
      - `booking.invoice.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.invoice.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.invoice.createdAt` (string)
        The date and time this Entity has been created
      - `booking.invoice.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.invoice.hasAgreedToPrice` (boolean)
      - `booking.invoice.administration` (object)
      - `booking.invoice.year` (integer)
      - `booking.invoice.number` (integer)
      - `booking.invoice.reference` (string)
      - `booking.invoice.paymentReference` (string)
      - `booking.invoice.status` (string)
        Enum: "concept", "pending_approval", "approved", "rejected", "open", "paid", "reminded", "too_late", "cancelled"
      - `booking.invoice.reminderCount` (integer)
      - `booking.invoice.direction` (string)
        Enum: same as `booking.quote.direction` in "booking" (2 values)
      - `booking.invoice.currency` (object)
      - `booking.invoice.cancelledReason` (string)
      - `booking.invoice.lines` (array)
      - `booking.invoice.subjectBusiness` (object)
        circular reference
      - `booking.invoice.targetBusiness` (object)
        circular reference
      - `booking.invoice.contactPerson` (object)
      - `booking.invoice.creator` (object)
      - `booking.invoice.nextReminderDate` (string)
      - `booking.invoice.subTotal` (object)
      - `booking.invoice.tax` (object)
      - `booking.invoice.total` (object)
      - `booking.invoice.totalOpen` (object)
      - `booking.invoice.transactions` (array)
      - `booking.invoice.identifiers` (array)
      - `booking.invoice.documents` (array)
      - `booking.invoice.shareSettings` (object)
      - `booking.invoice.billing` (object)
      - `booking.invoice.billing.id` (string, required)
        Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed
      - `booking.invoice.billing.nonce` (string)
        Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
      - `booking.invoice.billing.createdAt` (string)
        The date and time this Entity has been created
      - `booking.invoice.billing.updatedAt` (string)
        The date and time this Entity has been updated
      - `booking.invoice.billing.plan` (object)
      - `booking.invoice.billing.companyName` (string)
      - `booking.invoice.billing.vat` (string)
      - `booking.invoice.billing.email` (string)
      - `booking.invoice.billing.administrativeReference` (object)
      - `booking.invoice.billing.customerId` (string)
      - `booking.invoice.billing.intentId` (string)
      - `booking.invoice.billing.lastBilled` (string)
      - `booking.invoice.billing.lastUsageEventsRun` (string)
      - `booking.invoice.billing.paymentMethodConfirmed` (boolean)
      - `booking.invoice.billing.approvedBillingElementTypes` (array)
        Enum: "user", "vehicle", "consignment", "invoice", "quote", "trip", "messageAutomation", "integration"
      - `booking.invoice.team` (object)
      - `booking.invoice.name` (string)
      - `booking.invoice.description` (string)
      - `booking.invoice.date` (string)
      - `booking.invoice.dueAt` (string)
      - `booking.status` (string)
        Enum: "draft", "submitted", "pendingConfirmation", "confirmed", "cancelled", "failed"
      - `booking.identifiers` (array)

  - `chauffeursTrips.trips.currentAction.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `chauffeursTrips.trips.currentAction.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `chauffeursTrips.trips.currentAction.versionNumber` (integer)

  - `chauffeursTrips.trips.currentAction.createdAt` (string)
    The date and time this Entity has been created

  - `chauffeursTrips.trips.currentAction.updatedAt` (string)
    The date and time this Entity has been updated

  - `chauffeursTrips.trips.currentAction.type` (string, required)
    The type of action
    Enum: "load", "unload", "handOver", "stop", "move", "attachTransportEquipment", "detachTransportEquipment", "attachChauffeur", "detachChauffeur", "genericAction", "wait", "break", "refuel", "customs", "weighing", "typeTakeAndReturn", "booking"

  - `chauffeursTrips.trips.currentAction.name` (string, required)
    The name of the action

  - `chauffeursTrips.trips.currentAction.groupId` (string)

  - `chauffeursTrips.trips.currentAction.externalAttributes` (object)

  - `chauffeursTrips.trips.currentAction.lifeCycle` (string, required)
    Enum: "requested", "planned", "projected", "actual", "realized"

  - `chauffeursTrips.trips.currentAction.result` (object)

  - `chauffeursTrips.trips.currentAction.result.status` (string)
    Enum: "succeeded", "failed", "partiallySucceeded", "cancelled", "cancelledForReplanning"

  - `chauffeursTrips.trips.currentAction.result.remark` (string)

  - `chauffeursTrips.trips.currentAction.result.reason` (string)

  - `chauffeursTrips.trips.currentAction.result.results` (array)

  - `chauffeursTrips.trips.currentAction.result.answers` (object)

  - `chauffeursTrips.trips.currentAction.result.attachments` (array)

  - `chauffeursTrips.trips.currentAction.result.attachments.questionId` (string)

  - `chauffeursTrips.trips.currentAction.result.attachments.type` (string)
    Enum: "photo", "signature", "document"

  - `chauffeursTrips.trips.currentAction.result.attachments.documentId` (string)

  - `chauffeursTrips.trips.currentAction.result.attachments.dataUrl` (string)

  - `chauffeursTrips.trips.currentAction.remark` (string)
    The remark for this specific action

  - `chauffeursTrips.trips.currentAction.sequenceNr` (integer)
    The number in which order the Action occurs

  - `chauffeursTrips.trips.currentAction.tripSequenceNr` (integer)
    The number in which order the Action occurs within the trip

  - `chauffeursTrips.trips.currentAction.location` (object)
    circular reference

  - `chauffeursTrips.trips.currentAction.startTime` (string)
    The start time of this

  - `chauffeursTrips.trips.currentAction.endTime` (string)

  - `chauffeursTrips.trips.currentAction.eta` (string)
    Estimated Time of Arrival

  - `chauffeursTrips.trips.currentAction.etd` (string)
    Estimated Time of Departure

  - `chauffeursTrips.trips.currentAction.timeFormat` (string)

  - `chauffeursTrips.trips.currentAction.recurrence` (string)

  - `chauffeursTrips.trips.currentAction.duration` (integer)

  - `chauffeursTrips.trips.currentAction.estimatedDuration` (integer)

  - `chauffeursTrips.trips.currentAction.inTripOnly` (boolean)

  - `chauffeursTrips.trips.currentAction.actions` (array) — one of (discriminator: associationType):
    - inline:
      - `entity` (object)
        circular reference
      - `description` (string)
    - reference:
      - `uuid` (string)
      - `description` (string)

  - `chauffeursTrips.trips.currentAction.actions.associationType` (string)
    Enum: same as `consignment.associationType` in "attachTransportEquipment" (2 values)

  - `chauffeursTrips.trips.currentAction.documents` (array)

  - `chauffeursTrips.trips.currentAction.documents.associationType` (string)
    Enum: same as `consignment.associationType` in "attachTransportEquipment" (2 values)

  - `chauffeursTrips.trips.currentAction.contextEvents` (array)

  - `chauffeursTrips.trips.currentAction.attributes` (array)

  - `chauffeursTrips.trips.currentAction.attributes.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `chauffeursTrips.trips.currentAction.attributes.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `chauffeursTrips.trips.currentAction.attributes.createdAt` (string)
    The date and time this Entity has been created

  - `chauffeursTrips.trips.currentAction.attributes.updatedAt` (string)
    The date and time this Entity has been updated

  - `chauffeursTrips.trips.currentAction.attributes.name` (string)

  - `chauffeursTrips.trips.currentAction.attributes.color` (string)

  - `chauffeursTrips.trips.currentAction.timeslotBookings` (array)
    Timeslot bookings associated with this action

  - `chauffeursTrips.trips.currentAction.timeslotBookings.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `chauffeursTrips.trips.currentAction.timeslotBookings.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `chauffeursTrips.trips.currentAction.timeslotBookings.createdAt` (string)
    The date and time this Entity has been created

  - `chauffeursTrips.trips.currentAction.timeslotBookings.updatedAt` (string)
    The date and time this Entity has been updated

  - `chauffeursTrips.trips.currentAction.timeslotBookings.timeslot` (object)

[...]
